<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Generators Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Generators.html">Generators</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Generators Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceCatch_1_1Generators_1_1pf"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators_1_1pf.html">pf</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1as.html">as</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1ChunkGenerator.html">ChunkGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1FilterGenerator.html">FilterGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1FixedValuesGenerator.html">FixedValuesGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">GeneratorUntypedBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">IGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1IteratorGenerator.html">IteratorGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1MapGenerator.html">MapGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">RandomFloatingGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RandomIntegerGenerator.html">RandomIntegerGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html">RangeGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">RepeatGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1SingleValueGenerator.html">SingleValueGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1TakeGenerator.html">TakeGenerator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a2f1eaef46ea5874056069085ef324516"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a2f1eaef46ea5874056069085ef324516">GeneratorBasePtr</a> = std::unique_ptr&lt; <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">GeneratorUntypedBase</a> &gt;</td></tr>
<tr class="separator:a2f1eaef46ea5874056069085ef324516"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3b2efc97978cf37951b75394aae1a3fb"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a3b2efc97978cf37951b75394aae1a3fb"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a3b2efc97978cf37951b75394aae1a3fb">value</a> (T &amp;&amp;value)</td></tr>
<tr class="separator:a3b2efc97978cf37951b75394aae1a3fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff55717239311a0e8352a4de5d29967f"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:aff55717239311a0e8352a4de5d29967f"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#aff55717239311a0e8352a4de5d29967f">values</a> (std::initializer_list&lt; T &gt; values)</td></tr>
<tr class="separator:aff55717239311a0e8352a4de5d29967f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f096d2c76a9d0c84153243fdc479c7e"><td class="memTemplParams" colspan="2">template&lt;typename... Ts&gt; </td></tr>
<tr class="memitem:a2f096d2c76a9d0c84153243fdc479c7e"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; std::tuple&lt; Ts... &gt; &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a2f096d2c76a9d0c84153243fdc479c7e">table</a> (std::initializer_list&lt; std::tuple&lt; typename std::decay&lt; Ts &gt;::type... &gt;&gt; tuples)</td></tr>
<tr class="separator:a2f096d2c76a9d0c84153243fdc479c7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cc95d72b060e2819b2edbbdbf8c646b"><td class="memTemplParams" colspan="2">template&lt;typename T , typename... Gs&gt; </td></tr>
<tr class="memitem:a7cc95d72b060e2819b2edbbdbf8c646b"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a7cc95d72b060e2819b2edbbdbf8c646b">makeGenerators</a> (<a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;generator, Gs &amp;&amp;... moreGenerators) -&gt; <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a>&lt; T &gt;</td></tr>
<tr class="separator:a7cc95d72b060e2819b2edbbdbf8c646b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abefb1a0fab3c669b98a53037b3286d22"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:abefb1a0fab3c669b98a53037b3286d22"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#abefb1a0fab3c669b98a53037b3286d22">makeGenerators</a> (<a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;generator) -&gt; <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a>&lt; T &gt;</td></tr>
<tr class="separator:abefb1a0fab3c669b98a53037b3286d22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab22ab581e83e71530d8bbd1c14f94abc"><td class="memTemplParams" colspan="2">template&lt;typename T , typename... Gs&gt; </td></tr>
<tr class="memitem:ab22ab581e83e71530d8bbd1c14f94abc"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#ab22ab581e83e71530d8bbd1c14f94abc">makeGenerators</a> (T &amp;&amp;val, Gs &amp;&amp;... moreGenerators) -&gt; <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a>&lt; T &gt;</td></tr>
<tr class="separator:ab22ab581e83e71530d8bbd1c14f94abc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac8c5682b95d3467b013de492f21e7e2"><td class="memTemplParams" colspan="2">template&lt;typename T , typename U , typename... Gs&gt; </td></tr>
<tr class="memitem:aac8c5682b95d3467b013de492f21e7e2"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#aac8c5682b95d3467b013de492f21e7e2">makeGenerators</a> (<a class="el" href="structCatch_1_1Generators_1_1as.html">as</a>&lt; T &gt;, U &amp;&amp;val, Gs &amp;&amp;... moreGenerators) -&gt; <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a>&lt; T &gt;</td></tr>
<tr class="separator:aac8c5682b95d3467b013de492f21e7e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1fe3550c5f97370fc6729e04d7571b8"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#ac1fe3550c5f97370fc6729e04d7571b8">acquireGeneratorTracker</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> generatorName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo) -&gt; <a class="el" href="structCatch_1_1IGeneratorTracker.html">IGeneratorTracker</a> &amp;</td></tr>
<tr class="separator:ac1fe3550c5f97370fc6729e04d7571b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b0ab1f589b1d1e0e92afcd12cf4ab12"><td class="memTemplParams" colspan="2">template&lt;typename L &gt; </td></tr>
<tr class="memitem:a3b0ab1f589b1d1e0e92afcd12cf4ab12"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a3b0ab1f589b1d1e0e92afcd12cf4ab12">generate</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> generatorName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo, L const &amp;generatorExpression) -&gt; decltype(std::declval&lt; decltype(generatorExpression())&gt;().get())</td></tr>
<tr class="separator:a3b0ab1f589b1d1e0e92afcd12cf4ab12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adedfdb318219078ce9107690745d2f2f"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:adedfdb318219078ce9107690745d2f2f"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#adedfdb318219078ce9107690745d2f2f">take</a> (size_t target, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;generator)</td></tr>
<tr class="separator:adedfdb318219078ce9107690745d2f2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4df89be8072a9685ee89b6776a54bb93"><td class="memTemplParams" colspan="2">template&lt;typename T , typename Predicate &gt; </td></tr>
<tr class="memitem:a4df89be8072a9685ee89b6776a54bb93"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a4df89be8072a9685ee89b6776a54bb93">filter</a> (Predicate &amp;&amp;pred, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;generator)</td></tr>
<tr class="separator:a4df89be8072a9685ee89b6776a54bb93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a510cc0d72a7bab8f967827e695b981ba"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a510cc0d72a7bab8f967827e695b981ba"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a510cc0d72a7bab8f967827e695b981ba">repeat</a> (size_t repeats, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;generator)</td></tr>
<tr class="separator:a510cc0d72a7bab8f967827e695b981ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af33fd06c51ac9173c3bee2ddee2559a6"><td class="memTemplParams" colspan="2">template&lt;typename Func , typename U , typename T  = FunctionReturnType&lt;Func, U&gt;&gt; </td></tr>
<tr class="memitem:af33fd06c51ac9173c3bee2ddee2559a6"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#af33fd06c51ac9173c3bee2ddee2559a6">map</a> (Func &amp;&amp;function, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; U &gt; &amp;&amp;generator)</td></tr>
<tr class="separator:af33fd06c51ac9173c3bee2ddee2559a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb4654b4e840e438e3bc204ac4d8e157"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:acb4654b4e840e438e3bc204ac4d8e157"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; std::vector&lt; T &gt; &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#acb4654b4e840e438e3bc204ac4d8e157">chunk</a> (size_t size, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;generator)</td></tr>
<tr class="separator:acb4654b4e840e438e3bc204ac4d8e157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a079a48b510a5f171707e87f351328e52"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a079a48b510a5f171707e87f351328e52"><td class="memTemplItemLeft" align="right" valign="top">std::enable_if&lt; std::is_integral&lt; T &gt;::<a class="el" href="namespaceCatch_1_1Generators.html#a3b2efc97978cf37951b75394aae1a3fb">value</a> &amp;&amp;!std::is_same&lt; T, bool &gt;::<a class="el" href="namespaceCatch_1_1Generators.html#a3b2efc97978cf37951b75394aae1a3fb">value</a>, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a079a48b510a5f171707e87f351328e52">random</a> (T a, T b)</td></tr>
<tr class="separator:a079a48b510a5f171707e87f351328e52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dd41578e2ccba6d255d7f850ef211bf"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a4dd41578e2ccba6d255d7f850ef211bf"><td class="memTemplItemLeft" align="right" valign="top">std::enable_if&lt; std::is_floating_point&lt; T &gt;::<a class="el" href="namespaceCatch_1_1Generators.html#a3b2efc97978cf37951b75394aae1a3fb">value</a>, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &gt;::type&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a4dd41578e2ccba6d255d7f850ef211bf">random</a> (T a, T b)</td></tr>
<tr class="separator:a4dd41578e2ccba6d255d7f850ef211bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e53e65dfedc4d39febcb7b2b862afd9"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a6e53e65dfedc4d39febcb7b2b862afd9"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a6e53e65dfedc4d39febcb7b2b862afd9">range</a> (T const &amp;start, T const &amp;end, T const &amp;step)</td></tr>
<tr class="separator:a6e53e65dfedc4d39febcb7b2b862afd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a758d34927bfde268b60ea6b7dc4be6bd"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a758d34927bfde268b60ea6b7dc4be6bd"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a758d34927bfde268b60ea6b7dc4be6bd">range</a> (T const &amp;start, T const &amp;end)</td></tr>
<tr class="separator:a758d34927bfde268b60ea6b7dc4be6bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62a768a07d44903a0691ec620d4f72c4"><td class="memTemplParams" colspan="2">template&lt;typename InputIterator , typename InputSentinel , typename ResultType  = typename std::iterator_traits&lt;InputIterator&gt;::value_type&gt; </td></tr>
<tr class="memitem:a62a768a07d44903a0691ec620d4f72c4"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; ResultType &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a62a768a07d44903a0691ec620d4f72c4">from_range</a> (InputIterator from, InputSentinel to)</td></tr>
<tr class="separator:a62a768a07d44903a0691ec620d4f72c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68e6a1dcf08dbd4c4aa3244e59dfc0f4"><td class="memTemplParams" colspan="2">template&lt;typename Container , typename ResultType  = typename Container::value_type&gt; </td></tr>
<tr class="memitem:a68e6a1dcf08dbd4c4aa3244e59dfc0f4"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; ResultType &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespaceCatch_1_1Generators.html#a68e6a1dcf08dbd4c4aa3244e59dfc0f4">from_range</a> (Container const &amp;cnt)</td></tr>
<tr class="separator:a68e6a1dcf08dbd4c4aa3244e59dfc0f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a2f1eaef46ea5874056069085ef324516"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f1eaef46ea5874056069085ef324516">&#9670;&nbsp;</a></span>GeneratorBasePtr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::unique_ptr&lt; <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">GeneratorUntypedBase</a> &gt; <a class="el" href="namespaceCatch_1_1Generators.html#a2f1eaef46ea5874056069085ef324516">Catch::Generators::GeneratorBasePtr</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ac1fe3550c5f97370fc6729e04d7571b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1fe3550c5f97370fc6729e04d7571b8">&#9670;&nbsp;</a></span>acquireGeneratorTracker()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Generators::acquireGeneratorTracker </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>generatorName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt;  <a class="el" href="structCatch_1_1IGeneratorTracker.html">IGeneratorTracker</a> &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acb4654b4e840e438e3bc204ac4d8e157"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb4654b4e840e438e3bc204ac4d8e157">&#9670;&nbsp;</a></span>chunk()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; std::vector&lt; T &gt; &gt; Catch::Generators::chunk </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4df89be8072a9685ee89b6776a54bb93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4df89be8072a9685ee89b6776a54bb93">&#9670;&nbsp;</a></span>filter()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename Predicate &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; Catch::Generators::filter </td>
          <td>(</td>
          <td class="paramtype">Predicate &amp;&amp;&#160;</td>
          <td class="paramname"><em>pred</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a68e6a1dcf08dbd4c4aa3244e59dfc0f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68e6a1dcf08dbd4c4aa3244e59dfc0f4">&#9670;&nbsp;</a></span>from_range() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Container , typename ResultType  = typename Container::value_type&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; ResultType &gt; Catch::Generators::from_range </td>
          <td>(</td>
          <td class="paramtype">Container const &amp;&#160;</td>
          <td class="paramname"><em>cnt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a62a768a07d44903a0691ec620d4f72c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62a768a07d44903a0691ec620d4f72c4">&#9670;&nbsp;</a></span>from_range() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename InputIterator , typename InputSentinel , typename ResultType  = typename std::iterator_traits&lt;InputIterator&gt;::value_type&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; ResultType &gt; Catch::Generators::from_range </td>
          <td>(</td>
          <td class="paramtype">InputIterator&#160;</td>
          <td class="paramname"><em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">InputSentinel&#160;</td>
          <td class="paramname"><em>to</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b0ab1f589b1d1e0e92afcd12cf4ab12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b0ab1f589b1d1e0e92afcd12cf4ab12">&#9670;&nbsp;</a></span>generate()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename L &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Generators::generate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>generatorName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">L const &amp;&#160;</td>
          <td class="paramname"><em>generatorExpression</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt; decltype(std::declval&lt;decltype(generatorExpression())&gt;().get()) </td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aac8c5682b95d3467b013de492f21e7e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac8c5682b95d3467b013de492f21e7e2">&#9670;&nbsp;</a></span>makeGenerators() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename U , typename... Gs&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Generators::makeGenerators </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Generators_1_1as.html">as</a>&lt; T &gt;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">U &amp;&amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Gs &amp;&amp;...&#160;</td>
          <td class="paramname"><em>moreGenerators</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt; <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a>&lt;T&gt; </td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abefb1a0fab3c669b98a53037b3286d22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abefb1a0fab3c669b98a53037b3286d22">&#9670;&nbsp;</a></span>makeGenerators() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Generators::makeGenerators </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a>&lt;T&gt; </td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7cc95d72b060e2819b2edbbdbf8c646b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cc95d72b060e2819b2edbbdbf8c646b">&#9670;&nbsp;</a></span>makeGenerators() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename... Gs&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Generators::makeGenerators </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Gs &amp;&amp;...&#160;</td>
          <td class="paramname"><em>moreGenerators</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt; <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a>&lt;T&gt; </td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab22ab581e83e71530d8bbd1c14f94abc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab22ab581e83e71530d8bbd1c14f94abc">&#9670;&nbsp;</a></span>makeGenerators() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename... Gs&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::Generators::makeGenerators </td>
          <td>(</td>
          <td class="paramtype">T &amp;&amp;&#160;</td>
          <td class="paramname"><em>val</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Gs &amp;&amp;...&#160;</td>
          <td class="paramname"><em>moreGenerators</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt; <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a>&lt;T&gt; </td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af33fd06c51ac9173c3bee2ddee2559a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af33fd06c51ac9173c3bee2ddee2559a6">&#9670;&nbsp;</a></span>map()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Func , typename U , typename T  = FunctionReturnType&lt;Func, U&gt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; Catch::Generators::map </td>
          <td>(</td>
          <td class="paramtype">Func &amp;&amp;&#160;</td>
          <td class="paramname"><em>function</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; U &gt; &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a079a48b510a5f171707e87f351328e52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a079a48b510a5f171707e87f351328e52">&#9670;&nbsp;</a></span>random() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::enable_if&lt; std::is_integral&lt; T &gt;::<a class="el" href="namespaceCatch_1_1Generators.html#a3b2efc97978cf37951b75394aae1a3fb">value</a> &amp;&amp;!std::is_same&lt; T, bool &gt;::<a class="el" href="namespaceCatch_1_1Generators.html#a3b2efc97978cf37951b75394aae1a3fb">value</a>, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &gt;::type Catch::Generators::random </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4dd41578e2ccba6d255d7f850ef211bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4dd41578e2ccba6d255d7f850ef211bf">&#9670;&nbsp;</a></span>random() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::enable_if&lt; std::is_floating_point&lt; T &gt;::<a class="el" href="namespaceCatch_1_1Generators.html#a3b2efc97978cf37951b75394aae1a3fb">value</a>, <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &gt;::type Catch::Generators::random </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a758d34927bfde268b60ea6b7dc4be6bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a758d34927bfde268b60ea6b7dc4be6bd">&#9670;&nbsp;</a></span>range() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; Catch::Generators::range </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>end</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e53e65dfedc4d39febcb7b2b862afd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e53e65dfedc4d39febcb7b2b862afd9">&#9670;&nbsp;</a></span>range() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; Catch::Generators::range </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>end</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>step</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a510cc0d72a7bab8f967827e695b981ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a510cc0d72a7bab8f967827e695b981ba">&#9670;&nbsp;</a></span>repeat()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; Catch::Generators::repeat </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>repeats</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f096d2c76a9d0c84153243fdc479c7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f096d2c76a9d0c84153243fdc479c7e">&#9670;&nbsp;</a></span>table()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename... Ts&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; std::tuple&lt; Ts... &gt; &gt; Catch::Generators::table </td>
          <td>(</td>
          <td class="paramtype">std::initializer_list&lt; std::tuple&lt; typename std::decay&lt; Ts &gt;::type... &gt;&gt;&#160;</td>
          <td class="paramname"><em>tuples</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adedfdb318219078ce9107690745d2f2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adedfdb318219078ce9107690745d2f2f">&#9670;&nbsp;</a></span>take()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; Catch::Generators::take </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b2efc97978cf37951b75394aae1a3fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b2efc97978cf37951b75394aae1a3fb">&#9670;&nbsp;</a></span>value()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; Catch::Generators::value </td>
          <td>(</td>
          <td class="paramtype">T &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aff55717239311a0e8352a4de5d29967f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff55717239311a0e8352a4de5d29967f">&#9670;&nbsp;</a></span>values()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; Catch::Generators::values </td>
          <td>(</td>
          <td class="paramtype">std::initializer_list&lt; T &gt;&#160;</td>
          <td class="paramname"><em>values</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
